Bug 80991 - [BDW]Piglit spec_ARB_sample_shading_builtin-gl-sample-mask_2 fails
Summary: [BDW]Piglit spec_ARB_sample_shading_builtin-gl-sample-mask_2 fails
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-07 06:23 UTC by lu hua
Modified: 2014-07-28 02:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-07-07 06:23:24 UTC
System Environment:
--------------------------
Platform: Broadwell E2
Libdrm:		(master)libdrm-2.4.54-17-ge8c3c1358ecaf4e90f7d43762357ae6f8e2022b6
Mesa:		(master)370184e813b25b463ad3dc9ca814231c98b95864
Xserver:(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.912-210-g24c9bac7eb6e17b55044d719bab74d16fd68c450
Libva:		(master)c61d8c6ce9ffc27320e9e177c1e1123d5f1b5014
Libva_intel_driver:(master)c5cb17ea86f0065a939d3636dd26651c93d497c8
Kernel:	(drm-intel-nightly) 026bdf385dec2e1ade18eab75d0eed3997b88e9c

Bug detailed description:
-----------------------------
Following cases fail on Broadwell(Host bridge: Intel Corporation Device 1604 (rev 08)) with mesa master branch and 10.2 branch.
They work well on 0x1604(rev07).
spec_ARB_sample_shading_builtin-gl-sample-id_2
spec_ARB_sample_shading_builtin-gl-sample-mask-simple_4
spec_ARB_sample_shading_builtin-gl-sample-mask-simple_6
spec_ARB_sample_shading_builtin-gl-sample-mask-simple_8
spec_ARB_sample_shading_builtin-gl-sample-mask_2
spec_ARB_sample_shading_builtin-gl-sample-mask_4
spec_ARB_sample_shading_builtin-gl-sample-mask_6
spec_ARB_sample_shading_builtin-gl-sample-mask_8
spec_ARB_sample_shading_builtin-gl-sample-position_2

run  bin/arb_sample_shading-builtin-gl-sample-mask 2 -auto
output:
Probe color at (2,0)
  Expected: 0.000000 1.000000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
FBO attachment = TEXTURE, result = fail
Probe color at (2,0)
  Expected: 0.000000 1.000000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
FBO attachment = RENDERBUFFER, result = fail
PIGLIT: {'result': 'fail' }

Reproduce steps:
---------------------------- 
1. xinit
2. bin/arb_sample_shading-builtin-gl-sample-mask 2 -auto
Comment 1 Kenneth Graunke 2014-07-13 11:09:34 UTC
Does it work any better with INTEL_DEBUG=no16?
Comment 2 lu hua 2014-07-14 07:20:04 UTC
(In reply to comment #1)
> Does it work any better with INTEL_DEBUG=no16?

It still fails.
Probe color at (2,0)
  Expected: 0.000000 1.000000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
FBO attachment = TEXTURE, result = fail
Probe color at (2,0)
  Expected: 0.000000 1.000000 0.000000 1.000000
  Observed: 1.000000 0.000000 0.000000 1.000000
FBO attachment = RENDERBUFFER, result = fail
PIGLIT: {"result": "fail" }
Comment 4 lu hua 2014-07-28 02:59:16 UTC
Fixed.
root@x-bdw05:/GFX/Test/Piglit/piglit# bin/arb_sample_shading-builtin-gl-sample-mask 2 -auto
FBO attachment = TEXTURE, result = pass
FBO attachment = RENDERBUFFER, result = pass
PIGLIT: {"result": "pass" }
Comment 5 lu hua 2014-07-28 02:59:31 UTC
Verified.Fixed.


bug/show.html.tmpl processed on Jan 17, 2017 at 08:54:31.
(provided by the Example extension).